dssictls
Prev | Orchestra Opcodes and Operators | Next

## dssictls

dssictls — Send control information to a LADSPA or DSSI plugin.

## Syntax

    dssictls ihandle, iport, kvalue, ktrigger

## Description

dssictls sends control values to a plugin's control port

## Initialization

ihandle - handle for the plugin returned by dssiinit

iport - control port number

## Performance

kvalue - value to be assigned to the port

ktrigger - determines whether the control information will be sent (ktrigger = 1) or not. This is useful for thinning control information, generating ktrigger with metro

dssictls sends control information to a LADSPA or DSSI plugin's control port. The valid control ports and ranges are given by dssiinit . Using values outside the ranges may produce unspecified behaviour.

## Credits

2005

By: Andrés Cabrera

Uses code from Richard Furse's LADSPA sdk.

Prev | Up | Next
dssiaudio | Home | dssiinit